Messed up maas whiling trying to upgrade to 2.8

So i tried upgrade from 2.7 to 2.8 by running the following commands:

sudo add-apt-repository -yu ppa:maas/2.8

sudo apt upgrade -y

It didn’t seem to update so I started to try manually installing the deb files I found in http://ppa.launchpad.net/maas/2.8/ubuntu/pool/main/m/maas/

Now it’s complaining about all kinds of dependencies. I’m hoping if I can properly upgrade 2.8 it will fix my MaaS. Could it be I need I need Ubuntu Advantage subscription in order to upgrade?

It seems like you’re on Eoan Ermine which has reached End of Life - upgrading to Focal 20.04 LTS will give you the 2.8 snap by default.

Thank you that fixed most of it.

1 Like

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.